Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsurveyor
Class UserGroup

    java.lang.Object
      net.sourceforge.jsurveyor.UserComponent
          net.sourceforge.jsurveyor.UserGroup

public class UserGroup
extends UserComponent

Class to model UserGroups. Used to represent a group of users and or usergroups that need to be handled as a larger identity in the system.

Version:
  1.0
Author:
  Claus Methmann Christensen, Anders Spliid Hansen, Esben Iversen Hansen, Lars H Jensen, Marcus Overheu, Thomas Ramdal, Peter Thomsen

Constructor Summary
`UserGroup()` Construct a UserGroup with no data.
`UserGroup(int userGroupID, java.lang.String groupName, java.util.ArrayList refChildren, java.util.ArrayList refParents)` Constructor for UserGroup, use through DataAccess.
`UserGroup(java.lang.String groupName)` Constructor for UserGroup
`UserGroup(java.lang.String groupName, java.util.ArrayList refChildren, java.util.ArrayList refParents)` Constructor for UserGroup

Method Summary
`java.lang.String` | `getGroupName()` Returns the name of the usergroup.
`int` | `getUserGroupID()` Returns the ID of the usergroup.
`java.lang.String` | `getUserGroupName()` Returns the name of the usergroup.
`void` | `setGroupName(java.lang.String groupName)` Sets the name of the usergroup.
`void` | `setUserGroupID(int userGroupID)` Sets the ID of the usergroup.
`void` | `setUserGroupName(java.lang.String groupName)` Sets a name for the usergroup.
`java.lang.String` | `toString()` Returns the usergroupID prefixed with a G to represent it is a group.

Methods inherited from class net.sourceforge.jsurveyor.UserComponent
`addChild, addParent, clearParents, equals, getParents, getRefChildren, getRefParents, isRefParentsEmpty, removeChild, removeParent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserGroup

    public UserGroup(int userGroupID,
                     java.lang.String groupName,
                     java.util.ArrayList refChildren,
                     java.util.ArrayList refParents)

  Constructor for UserGroup, use through DataAccess.

Parameters:
  `userGroupID` - int
  `groupName` - String
  `refChildren` - ArrayList
  `refParents` - ArrayList

### UserGroup

    public UserGroup(java.lang.String groupName,
                     java.util.ArrayList refChildren,
                     java.util.ArrayList refParents)

  Constructor for UserGroup

Parameters:
  `groupName` - String
  `refChildren` - ArrayList
  `refParents` - ArrayList

### UserGroup

    public UserGroup(java.lang.String groupName)

  Constructor for UserGroup

Parameters:
  `groupName` - String

### UserGroup

    public UserGroup()

  Construct a UserGroup with no data.

Method Detail

### getUserGroupID

    public int getUserGroupID()

  Returns the ID of the usergroup.

  Returns:
    int

### setUserGroupID

    public void setUserGroupID(int userGroupID)

  Sets the ID of the usergroup.

  Parameters:
    `userGroupID` - int

### getUserGroupName

    public java.lang.String getUserGroupName()

  Returns the name of the usergroup.

  Returns:
    String

### setUserGroupName

    public void setUserGroupName(java.lang.String groupName)

  Sets a name for the usergroup.

  Parameters:
    `groupName` -

### getGroupName

    public java.lang.String getGroupName()

  Returns the name of the usergroup. This method will be removed in a future version, use the method getUserGroupName() instead.

  Returns:
    String

### setGroupName

    public void setGroupName(java.lang.String groupName)

  Sets the name of the usergroup. This method will be removed in a future version, use the method setUserGroupName() instead.

  Parameters:
    `groupName` - String

### toString

    public java.lang.String toString()

  Returns the usergroupID prefixed with a G to represent it is a group.

  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD